[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] updating tycho version to 0.13.0 for p2 build

To answer my own question, https://bugs.eclipse.org/bugs/show_bug.cgi?id=351842

 

From: p2-dev-bounces@xxxxxxxxxxx [mailto:p2-dev-bounces@xxxxxxxxxxx] On Behalf Of Schaefer, Doug
Sent: Wednesday, October 05, 2011 2:19 PM
To: P2 developer discussions
Subject: Re: [p2-dev] updating tycho version to 0.13.0 for p2 build

 

It’s definitely a bug. I now get a CDT related build failing because if it. Was there a bug raised against tycho for this?

 

From: p2-dev-bounces@xxxxxxxxxxx [mailto:p2-dev-bounces@xxxxxxxxxxx] On Behalf Of Pascal Rapicault
Sent: Tuesday, October 04, 2011 8:36 PM
To: P2 developer discussions
Subject: Re: [p2-dev] updating tycho version to 0.13.0 for p2 build

 

As much as I would like to stay on top of Tycho, I think the new behaviour you are mentioning about the the optional dependencies is simply a no-go. In fact I would go even further and qualify this of bug in tycho since this means that you can't really use optional dependencies without additional burden.

 

In our case, the packages really are optional and removing the optional attribute is not a solution. It is true that they are not optional from a compilation point of view and are optional from a runtime point, but this is indeed the point of optional dependencies. 

 

Thx for your continued work on the build.

 

On 2011-10-04, at 11:01 AM, Dahanne, Anthony wrote:




Hello,

As part of https://bugs.eclipse.org/bugs/show_bug.cgi?id=304594 resolution (make p2 buildable with tycho) I am experimenting tycho 0.13.0 since it allows the –Dmaven.test.failure.ignore argument; quite handy when  you don< t know how to fix some test failures and you want to move on...

As you may think, this is not the only new feature in tycho; another feature, about considering optional dependencies during compilation, actually breaks the p2 build.

Here is an example : in the bundle org.eclipse.equinox.p2.touchpoint.eclipse, in the MANIFEST , Import-Package section, we have :

org.eclipse.osgi.service.resolver;version=”1.2.0”;resolution:=optional

See this resolution optional attribute ? well now, since 0.13.0 , tycho does not consider this package anymore while compiling.

I am currently removing those optional resolutions flags ,since to me, those packages marked optional are definitely not optional ( it impacts around 6 bundles)

I<ll submit a patch this day with the exact changes for migrating to tycho 0.13.0; maybe one of you knows why some required packages for compilation were marked optional ? or knows if we can specify property to tycho to let it behave as before ...

Best regards,

 

Anthony Dahanne

Développeur logiciel / Software Developer

Compuware Montreal

75 Rue Queen, Suite 6500

Montreal, QC, Canada H3C 2N6

+1-514-798-8949

 

 

<CPWRsig_04_11-03-2010.jpg>

 

Le contenu de ce courriel s'adresse au destinataire seulement. Il contient de l'information pouvant être confidentielle. Vous ne devez ni le copier ni l'utiliser ni le divulguer à qui que ce soit à moins que vous soyez le destinataire ou une personne désignée autorisée. Si vous le receviez par erreur, veuillez nous aviser immédiatement et le détruire.

 

The contents of this e-mail are intended for the named addressee only. It contains information that may be confidential. Unless you are the named addressee or an authorized designee, you may not copy or use it, or disclose it to anyone else. If you received it in error please notify us immediately and then destroy it.

 

 

_______________________________________________
p2-dev mailing list
p2-dev@xxxxxxxxxxx
https://dev.eclipse.org/mailman/listinfo/p2-dev